<mat-form-field appearance="standard">
  <mat-label>Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
</mat-form-field>

<div class="mat-elevation-z8">
  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef > Id </th>
      <td mat-cell *matCellDef="let row"> {{row.id}} </td>
    </ng-container>

    <ng-container matColumnDef="year">
      <th mat-header-cell *matHeaderCellDef > Year </th>
      <td mat-cell *matCellDef="let row"> {{row.year}} </td>
    </ng-container>

    <ng-container matColumnDef="firstCountry">
      <th mat-header-cell *matHeaderCellDef > First Country </th>
      <td mat-cell *matCellDef="let row"> {{row.firstCountry.name.en}} </td>
    </ng-container>

    <ng-container matColumnDef="secondCountry">
      <th mat-header-cell *matHeaderCellDef > Second Country </th>
      <td mat-cell *matCellDef="let row"> {{row.secondCountry.name.en}} </td>
    </ng-container>

    <ng-container matColumnDef="permitCount">
      <th mat-header-cell *matHeaderCellDef > Permit Count </th>
      <td mat-cell *matCellDef="let row"> {{row.countPermit}} </td>
    </ng-container>

    <ng-container matColumnDef="createdAt">
      <th mat-header-cell *matHeaderCellDef > Create Date </th>
      <td mat-cell *matCellDef="let row"> {{row.createdAt | date: 'dd-MM-yyyy HH:mm'}} </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

<!--  <mat-paginator #paginator [pageSizeOptions]="[10, 25, 100]"-->
<!--                 [pageIndex]="filter.pageNumber"-->
<!--                 [pageSize]="filter.pageSize"-->
<!--                 (page)="pageChanged($event)"-->
<!--                 [length]="totalCount" aria-label="Select page"></mat-paginator>-->
</div>
